// Reset formulaires

input:-webkit-autofill { // Fond jaune sur Chrome
  -webkit-box-shadow: 0 0 0 3rem $blanc inset;
}

::-ms-clear, ::-ms-reveal {
  display: none;
}

label {
  font-weight: 700;
}

textarea,
input[type="text"],
input[type="password"],
input[type="search"],
input[type="email"],
input[type="button"],
input[type="submit"],
input[type="checkbox"] {
  -webkit-appearance: none;
  -moz-appearance:    none;
  -ms-appearance:     none;
  appearance:         none;
}

textarea,
input[type="text"],
input[type="password"],
input[type="search"],
input[type="email"],
input[type="number"],
input[type="submit"] {
  padding:          1.5rem 2rem;
  border-radius:    0;
  outline:          none;
  box-shadow:       none;
  border:           .1rem solid $dore-clair;
  background-color: $blanc;
  transition:       border-color .3s ease-in-out;

  &:focus {
    border-color: $bleu-fonce;
  }

  @media (max-width: $small) {
    padding: 1rem 1.5rem;
  }
}

select, input[type="date"] {
  padding:          1.5rem 2rem;
  outline:          none;
  box-shadow:       none;
  border:           none;
  background-color: $gris-clair;

  @media (max-width: $small) {
    padding: 1rem 1.5rem;
  }

  &:focus {
    border: 1px solid $bleu-fonce;
  }
}

input[type="date"] {
  width: 17rem;
}

input[type="number"] {
  width: auto;
}

input[type="checkbox"] {
  position:         relative;
  height:           2rem;
  width:            2rem;
  min-width:        2rem;
  min-height:       2rem;
  cursor:           pointer;
  outline:          none;
  border:           .1rem solid rgba($bleu-med, .5);
  background-color: $blanc;

  &::before {
    position:                absolute;
    top:                     50%;
    left:                    50%;
    content:                 "\e924";
    font-family:             "icomoon", serif !important;
    speak:                   none;
    font-size:               1.6rem;
    font-style:              normal;
    font-weight:             normal;
    font-variant:            normal;
    text-transform:          none;
    line-height:             1;
    -webkit-font-smoothing:  antialiased;
    -moz-osx-font-smoothing: grayscale;
    opacity:                 0;
    color:                   $success;
    transform:               translateX(-50%) translateY(-50%) scale(.8);
    transition:              all .3s ease-in-out
  }

  &:checked::before {
    opacity:   1;
    transform: translateX(-50%) translateY(-50%) scale(1);
  }

  &:focus {
    border-color: $bleu-fonce;
  }
}

// Placeholder

::-webkit-input-placeholder, ::-moz-placeholder, :-ms-input-placeholder, :-moz-placeholder {
  color: $gris-med;
}

// Custom

.form-custom {
  margin: 2rem 0;
}

.inputs-wrapper {
  margin: 0 -1rem 2rem;

  @media (max-width: $small-plus) {
    display:        flex;
    flex-direction: column;
    align-items:    center;
    margin:         0 0 2rem;
  }

  .input-wrapper {
    margin: 1rem;

    @media (max-width: $small-plus) {
      margin: .5rem;
    }
  }

  .field-error {
    margin:    -5px 1rem 20px auto;
    width:     45rem;
    max-width: 100%;

    @media (max-width: $small-plus) {
      width:  40rem;
      margin: 0 .5rem 10px .5rem;
    }

    ul {
      padding: 0;
      margin:  0;

      li {
        padding:         0;
        margin:          0;
        color:           #B74242;
        list-style-type: none;
      }
    }
  }
}

.input-wrapper-authent {
  display:        flex;
  flex-direction: column;
  margin-bottom:  1.5rem;
  position: relative;

  .password-icon {
      display: flex;
      align-items: center;
      position: absolute;
      top: 32%;
      right: 10px;
      transform: translateY(-50%);
      width: 20px;
      transition: all 0.2s;
  }

  .password-icon:hover {
    cursor: pointer;
    color: #dac192;
  }

  .password-icon .icon-eye-blocked {
    display: none;
  }

  a {
    margin: .5rem 0 .5rem auto;
  }
}

.input-wrapper {
  position:        relative;
  display:         flex;
  justify-content: space-between;
  align-items:     center;

  @media (max-width: $small-plus) {
    flex-direction:  column;
    align-items:     flex-start;
    justify-content: flex-start;
    width:           40rem;
    max-width:       100%;
  }

  label {
    margin: 0 2rem 0 0;

    @media (max-width: $small-plus) {
      margin: 0 0 .5rem 0;
    }
  }

  input, select, textarea {
    width:     45rem;
    max-width: 100%;

    @media (min-width: $small-plus + 1) {
      min-width: 45rem;
    }

    @media (max-width: $small-plus) {
      width: 100%;
    }
  }

  .show-field {
    position:    absolute;
    right:       -6rem;
    bottom:      0;
    font-size:   3rem;
    line-height: 51px;

    @media (max-width: $small-plus) {
      line-height: 41px;
      right:      -2.5rem;
    }
  }

  &.input-info {
    position: relative;

    .info {
      position:   absolute;
      cursor:     help;
      font-size:  2rem;
      color:      $bleu-med;
      transition: color .3s ease-in-out;

      @media (min-width: $small-plus + 1) {
        top:       50%;
        right:     -3rem;
        transform: translateY(-50%);
      }

      @media (max-width: $small-plus) {
        right:  1rem;
        bottom: .6rem;
      }

      &:hover {
        color: $bleu-fonce;
      }

      .info-text {
        display:               none;
        font-size:             1.2rem;
        color:                 #FFFFFF;
        background:            rgba(51, 51, 51, 0.75);
        padding:               5px;
        border-radius:         4px;
        -moz-border-radius:    4px;
        -webkit-border-radius: 4px;
        width:                 220px;
        text-align:            center;
        position:              absolute;
        z-index:               10;
      }

      &:hover .info-text {
        display: inline-block;
      }
    }
  }
}

.dates-select {
  display:          flex;
  align-items:      center;
  margin-bottom:    2rem;
  background-color: $bleu-clair;

  @media (max-width: $large) {
    flex-direction: column;
  }

  p {
    margin:  0 auto 0 0;
    padding: 1rem 1.5rem;
  }

  label {
    margin: 0 1rem 0 2rem;
  }

  input {
    @media (max-width: $large) {
      flex-grow: 1;
    }

    @media (max-width: $small) {
      width: 100%;
    }
  }

  .inputs-date-wrapper, .input-date {
    display:     flex;
    align-items: center;
  }

  .inputs-date-wrapper {
    @media (max-width: $large) {
      width:      100%;
      border-top: .1rem solid rgba($bleu-med, .5);

      .input-date {
        flex-grow: 1;
      }
    }

    @media (max-width: $small) {
      flex-direction: column;

      .input-date {
        flex-direction: column;
        width:          100%;

        &:last-of-type {
          border-top: .1rem solid rgba($bleu-med, .5);
        }

        label {
          align-self: flex-start;
          margin:     0;
          padding:    1rem 1.5rem;
        }
      }
    }
  }

  #form_send {
    font-size: 0.9rem;
  }
}

.check-wrapper {
  display:     flex;
  align-items: center;
  margin:      0 0 2rem;

  @media (max-width: $small-plus) {
    display:         flex;
    flex-direction:  column;
    justify-content: flex-start;
    margin:          0 0 2rem;
  }

  label {
    margin:        0;
    padding-right: 3rem;

    @media (max-width: $small-plus) {
      margin: 0 0 .5rem 0;
    }
  }

  &:not(.agree-terms) {
    justify-content: space-between;
    align-items:     flex-start;
    margin:          20px 1rem;

    @media (max-width: $small-plus) {
      width: 40rem;
    }

    input {
      margin-right: 43rem;

      @media (max-width: $small-plus) {
        margin-right: 0;
      }
    }
  }

  &.check-multiple {
    div {
      display:   flex;
      flex-wrap: wrap;
      width:     45rem;
      max-width: 100%;

      input {
        width:         20px;
        margin-right:  10px;
        margin-bottom: 10px;
      }

      label {
        flex: 0 0 calc(100% - 30px);
      }
    }
  }

  > div {
    width: 45rem;

    .choice-item {
      margin-bottom: 5px;
      display: flex;

      input[type=radio], input[type=checkbox] {
        margin-right: 10px;
      }
    }

  }
}

.form-search {
  margin-bottom: 3rem;

  .inputs-wrapper-search {
    margin-bottom: 1rem;

    .input-search {
      flex-grow: 1;

      label {
        display: block;
        margin:  0 0 1rem;
      }

      select, input {
        width: 100%;
      }
    }
  }
}

.image-preview {
  display: flex;
  justify-content: space-between;
  margin:           0 1rem 0 auto;
  padding:          1rem;
  background-color: $gris-clair;
  width:            45rem;

  @media (max-width: $small-plus) {
    margin:    0 1rem 0 0;
    width:     40rem;
    max-width: 100%;
  }

  img {
    max-width:  100%;
    max-height: 130px;
  }
}

.file-link {
  margin: 0 1rem 0 auto;
  width:  45rem;
}

.settings {
  .inputs-wrapper {
    margin-bottom: 40px;
  }
}

.multiselect-dropdown{
    min-width: 45rem;
    display: inline-block;
    padding: 7px 5px 5px 7px;
    border:0.1rem solid #DAC192;
    background-color: white;
    position: relative;
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='%23343a40' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='M2 5l6 6 6-6'/%3e%3c/svg%3e");
    background-repeat: no-repeat;
    background-position: right .75rem center;
    background-size: 16px 12px;

    span.optext, .multiselect-dropdown span.placeholder{
        margin-right:0.5em;
        margin-bottom:2px;
        padding:1px 0;
        border-radius: 4px;
        display:inline-block;
    }

    span.optext{
        background-color:#5D6EA0;;
        padding:1px 0.75em;
        color: #ffffff;
        .optdel {
            float: right;
            font-size: 0.8em;
            margin: 2px 5px 1px;
            cursor: pointer;
            color: #ffffff;
            &:hover {
                color: #c66;
            }
        }
    }
    span.maxselected {width:100%;}
    input {
        min-width: unset;
    }
}

.multiselect-dropdown-list-wrapper{
    box-shadow: gray 0 3px 8px;
    z-index: 100;
    padding:2px;
    border-radius: 4px;
    border: solid 1px #ced4da;
    display: none;
    margin: -1px;
    position: absolute;
    top:0;
    left: 0;
    right: 0;
    background: white;
    .multiselect-dropdown-search{
        margin-bottom:5px;
    }
}
.multiselect-dropdown-list{
    padding:2px;
    height: 15rem;
    overflow-y:auto;
    overflow-x: hidden;
    &::-webkit-scrollbar {
        width: 6px;
    }
    &::-webkit-scrollbar-thumb {
        background-color: #bec4ca;
        border-radius:3px;
    }
    div{
        padding: 5px;
        &:hover{
            background-color: #ced4da;
        }
    }
    input{
        height: 1.15em;
        width: 1.15em;
        margin-right: 0.35em;
    }

    label {
        font-size: 12px;
        margin: unset;
    }
}
.multiselect-dropdown-all-selector {border-bottom:solid 1px #999;}

